export path=($path $HOME/.config/dotfiles/bin)
export fpath=($fpath $ZDOTDIR/local/fpath)

mkdir -p $HOME/.cache/zsh
autoload -Uz compinit bashcompinit
compinit -d $HOME/.cache/zsh/compdump
bashcompinit

source $ZDOTDIR/files/dircolor.zsh
source $ZDOTDIR/files/aliases.zsh
source $ZDOTDIR/files/completion.zsh
source $ZDOTDIR/files/history.zsh
source $ZDOTDIR/files/keybindings.zsh
source $ZDOTDIR/files/termsupport.zsh
source $ZDOTDIR/files/cnf.zsh
source $ZDOTDIR/files/fzf.zsh

[[ -f "$ZDOTDIR/local/rc.zsh" ]] && source "$ZDOTDIR/local/rc.zsh"

source /usr/share/zsh-autosuggestions/zsh-autosuggestions.zsh
source /usr/share/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh

export STARSHIP_CONFIG=$ZDOTDIR/starship.toml
eval "$(starship init zsh)"
eval "$(direnv hook zsh)"
